All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterRoberts
Fixed Filters

Filters the image using a Roberts filter kernel. More...

## FilterRobertsDown

Filters the image using a horizontal Roberts filter kernel:
NppStatus | nppiFilterRobertsDown_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned horizontal Roberts filter, ignoring alpha-channel. More...
NppStatus | nppiFilterRobertsDown_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed horizontal Roberts filter, ignoring alpha-channel. More...
NppStatus | nppiFilterRobertsDown_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point horizontal Roberts filter. More...
NppStatus | nppiFilterRobertsDown_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsDown_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point horizontal Roberts filter, ignoring alpha-channel. More...
NppStatus | nppiFilterRobertsDown_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)

## FilterRobertsUp

Filters the image using a vertical Roberts filter kernel:
NppStatus | nppiFilterRobertsUp_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned vertical Roberts filter, ignoring alpha-channel. More...
NppStatus | nppiFilterRobertsUp_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed vertical Roberts filter, ignoring alpha-channel. More...
NppStatus | nppiFilterRobertsUp_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point vertical Roberts filter. More...
NppStatus | nppiFilterRobertsUp_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterRobertsUp_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point vertical Roberts filter, ignoring alpha-channel. More...
NppStatus | nppiFilterRobertsUp_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)

## Detailed Description

Filters the image using a Roberts filter kernel.

### Common parameters for nppiFilterRoberts functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterRobertsDown_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed horizontal Roberts filter, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point horizontal Roberts filter, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned horizontal Roberts filter, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsDown_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsDown_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned horizontal Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed vertical Roberts filter, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point vertical Roberts filter, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned vertical Roberts filter, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

NppStatus nppiFilterRobertsUp_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterRobertsUp_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned vertical Roberts filter.

For common parameter descriptions, see Common parameters for nppiFilterRoberts functions.

Copyright © 2009-2020 NVIDIA Corporation